Firefox ESR 24.x < 24.6 Multiple Vulnerabilities (Mac OS X)

This script is Copyright (C) 2014 Tenable Network Security, Inc.

Synopsis :

The remote Mac OS X host contains a web browser that is potentially
affected by multiple vulnerabilities.

Description :

The version of Firefox ESR 24.x installed on the remote Mac OS X host
is prior to 24.6 and is, therefore, affected by the following
vulnerabilities :

- A memory issue exists that could lead to arbitrary code
execution. Note that this issue only affects Firefox
ESR 24.5. (CVE-2014-1533)

- Use-after-free memory issues exist in
'nsTextEditRules::CreateMozBR' and the SMIL Animation
Controller that could lead to code execution.
(CVE-2014-1538, CVE-2014-1541)

See also :

Solution :

Upgrade to Firefox ESR 24.6 or later.

Risk factor :

High / CVSS Base Score : 9.3
CVSS Temporal Score : 8.1
Public Exploit Available : false

Family: MacOS X Local Security Checks

Nessus Plugin ID: 74436 ()

Bugtraq ID: 67965

CVE ID: CVE-2014-1533